Bug 683179 - desktop- backgrounds package no longer sets the default Fedora background, due to changes in Gnome
desktop- backgrounds package no longer sets the default Fedora background, du...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-03-08 13:49 EST by Jared Smith
Modified: 2011-03-30 15:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-30 15:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2011-03-08 13:49:23 EST
Description of problem:

The %install stanza of the desktop-backgrounds RPM sets the Fedora wallpaper as the default wallpaper for various desktop environments.  In Fedora 15, the method used to set the default Gnome wallpaper no longer applies, due to changes in Gnome 3.

From what little information I've been able to gather, setting a system-wide default wallpaper may require changes in either dconf or the way the dconf databases are deployed.  I'm filing the bug against desktop-backgrounds, however, because this is the package responsible for setting the system default background.


Version-Release number of selected component (if applicable):

desktop-backgrounds-gnome-15.0.0-3.fc15.noarch

How reproducible:

Always reproducible

Steps to Reproduce:
1.  Install the Fedora 15 Alpha
2.  Notice that the Gnome (stripes) wallpaper is default, rather than the Fedora alpha wallpaper (birds + stripes)
  
Actual results:

Gnome wallpaper (stripes)

Expected results:

Fedora alpha wallpaper (birds + stripes)

Additional info:

I've reached out to Owen Taylor and Mattias Clasen to try to find additional details on the best way to tackle this problem, but I wanted to open a bug for tracking purposes so that this topic doesn't get lost in the shuffle.  This item will definitely be a blocker for the Fedora 15 Beta.
Comment 1 Matthias Clasen 2011-03-08 14:18:42 EST
You probably want to install a 'vendor override' file. See 
http://library.gnome.org/devel/gio/2.28/GSettings.html#id852911

That file needs to go in /usr/share/glib-2.0/schemas and look as
follows:
[org.gnome.desktop.background]
picture-filename='/path/to/your/background.png'

Note that you need to run
glib-compile-schemas /usr/share/glib-2.0/schemas
after installing that file, typically in %post or %posttrans
Comment 2 James Laska 2011-03-08 14:23:53 EST
We missed adjusting the release artwork for the Alpha per the following Alpha criteria [1]:

   "The default Fedora artwork must either refer to the current Fedora
    release under development (Fedora 15), or reference an interim 
    release milestone (e.g. Alpha or Beta). If a release version number
    is used, it must match the current Fedora release under development. 
    This includes artwork used in the installer, firstboot, graphical 
    boot, graphical login and desktop background."

Therefore, we need to do *something* with the artwork for Fedora 15 Beta.  I support this issue blocking the beta.

[1] https://fedoraproject.org/wiki/Fedora_15_Alpha_Release_Criteria
Comment 3 Christoph Wickert 2011-03-08 16:18:42 EST
(In reply to comment #0)
> The %install stanza of the desktop-backgrounds RPM sets the Fedora wallpaper as
> the default wallpaper for various desktop environments.  

%install happens on the build system, it doesn't touch anything on the user's system.

> Version-Release number of selected component (if applicable):
> 
> desktop-backgrounds-gnome-15.0.0-3.fc15.noarch

The desktop-backgrounds package just contains generic wallpapers but not the release specific ones. I guess you want lovelock-backgrounds. 


> Actual results:
> 
> Gnome wallpaper (stripes)
> 
> Expected results:
> 
> Fedora alpha wallpaper (birds + stripes)

I thought GNOME would stick with their default wallpaper. Is there an easy way to catch up with the latest discussion of the design-team?


(In reply to comment #1)
> You probably want to install a 'vendor override' file.

So what package it to this? lovelock-backgrounds-gnome or some gnome stuff?
Comment 4 Martin Sourada 2011-03-08 16:38:57 EST
Ok, first things first. Yes, the %install section of desktop-backgrounds is indeed supposed to help set the default wallpaper, but AFAIK it isn't used yet (plus I'm thinking about a way to improve it to avoid having the same wallpaper listed twice). Second, I'm not even sure if the desktop folks want fedora 15 wallpaper or gnome default wallpaper, when we released Alpha version, their response was "we don't like it".

Now for the actual bug at hand. 

(In reply to comment #1)
> You probably want to install a 'vendor override' file.

Thanks for the links Matthias. As much as I try to find it there though, I fail to see how to call the override file for the glib-compile-schemas to use it properly. Any pointers?
Comment 5 Adam Williamson 2011-03-11 13:14:40 EST
Discussed at 2011-03-11 blocker review meeting. We provisionally accept this as a Beta blocker per Alpha criterion "The default Fedora artwork must either refer to the current Fedora release under development (Fedora 15), or reference an interim release milestone (e.g. Alpha or Beta). If a release version number is used, it must match the current Fedora release under development. This includes artwork used in the installer, firstboot, graphical boot, graphical login and desktop background."; it's our understanding this fix is needed to satisfy that criterion. If the circumstances involving GNOME 3 make that not true, this would drop from blocker status.
Comment 6 Adam Williamson 2011-03-18 14:35:34 EDT
Discussed at 2011-03-18 blocker review meeting. We're worried there's no movement on this, from either the 'policy' side or the 'bug fix' side. Martin, you're waiting on a tip from Matthias, right? Matthias, can you help out? Thanks.
Comment 7 Martin Sourada 2011-03-21 20:05:58 EDT
I'm not sure whether misread the page originally or whether the info was added after I read the page, but it's there now and it seems to work. Building the package now.

FYI: I've been told that Gnome in F15 will use slightly different version of the wallpaper than the other DEs (supposedly a resolution of dispute between design and desktop team signed off by board) but as it's not ready yet (or I have failed to notice its existence) I'm setting the beta wallpaper for gnome as well, for now.
Comment 8 Fedora Update System 2011-03-21 20:24:12 EDT
desktop-backgrounds-15.0.0-5.fc15,lovelock-backgrounds-14.91.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/desktop-backgrounds-15.0.0-5.fc15,lovelock-backgrounds-14.91.0-1.fc15
Comment 9 Tom "spot" Callaway 2011-03-22 16:50:13 EDT
desktop-backgrounds-15.0.0-6.fc15 seems to fix the override for "normal" mode, but in fallback mode, I'm just getting a solid blue background, so there looks to be a bug in gnome-settings-daemon?
Comment 10 Tom "spot" Callaway 2011-03-22 17:12:29 EDT
hadess figured it out, we needed to pass an actual uri, should be fixed in desktop-backgrounds-15.0.0-7
Comment 11 Martin Sourada 2011-03-22 17:35:28 EDT
In reply to Comment 9 and Comment 10:
Hrm, I'm getting a bit confused here, though not by the fix you committed, rather by the release mentioned as working in "normal" mode. Have you rebuilt it yourself? The pushed update (-5) still uses picture-filename which was replaced with picture-uri in {gsettings-destkop-schemas,control-center,gnome-desktop3}-2.91.92, however the needed components weren't build yet so I prepared the spec file and waited for the builds which are apparently done now so I'm going to build and push the -7 which you prepared.
Comment 12 Martin Sourada 2011-03-22 18:11:17 EDT
(In reply to comment #11)
Please disregard the previous comment, I should have checked bodhi first... 

Also reassigning this bug to correct component (desktop-backgrounds).
Comment 14 Martin Sourada 2011-03-30 15:26:53 EDT
The above mentioned update hit stable already, so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.